GET events/v3/statuses

here.com:tracking

Summary: Gets the event statuses
Operation ID:
Auth: unknown
Description

Gets all events statuses for all devices and shipments of the project. An event status of a device is the most recent event of any rule or geofence the device is associated with. The same applies for shipments. The response contains a list of event status objects and each object has the following properties: * `trackingId` or `shipmentId`: a device ID or a shipment ID * `ruleId`: an associated rule or geofence ID * `eventSource`: the rule type * `eventType`: an event type of the latest event of the rule (same as the "event state") * `timestamp`: a time since when the device has been in this event state The array is sorted by the following fields in the following order: `trackingId`, `eventSource`, `timestamp`, `ruleId`, `geofenceId`. A time range can be defined with `before` and `after` timestamps. The response will contain event statuses that were recorded within the range. If the request is supplied with `eventSource` query parameter, the response results will be limited to the specified rule types only. If the request is supplied with `ruleId` query parameter, the response results will be limited to the specified rule IDs only. If the request is supplied with `trackingId` query parameter, the response results will be limited to the specified devices only. Also `shipmentId` can be used as a `trackingId`. If the request is supplied with `eventType` query parameter, the response results will be limited to the specified type only. If the request is supplied with `geofenceId` query parameter, it will only affect dwelling event statuses filtering, limiting the results to the specified geofence only. Other event types are not affected by this setting. Note that for the event statuses of geofence type, the `ruleId` is the `geofenceId`. If the request is supplied with `shipments` query parameter, the response results will be limited either to shipments (`shipments`=`true`) or devices (`shipments`=`false`) only. Otherwise, if `shipments` query parameter is not specified, response results will include both devices and shipments. All the aforementioned query parameters can be combined together.

Parameters (13)

X-Request-Id (string, header, optional)

ID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.

after (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

Constraints: {'minimum': 0}

appId (string, query, optional)

Application identifier. Used together with an external ID to identify a virtual device.

Constraints: {'minLength': 8}

before (number, query, optional)

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 1 to the current time.

Constraints: {'minimum': 1}

count (integer, query, optional, default: 1000)

The number of items to return per page.

Constraints: {'minimum': 1, 'maximum': 1000}

eventSource (?, query, optional)
eventType (?, query, optional)
geofenceId (?, query, optional)
pageToken (string, query, optional)

A token from the previously returned response to retrieve the specified page.

projectId (string, query, optional)

Constraints: {'minLength': 1, 'maxLength': 50}

ruleId (?, query, optional)
shipments (boolean, query, optional)
trackingId (?, query, optional)

No probe data for this endpoint yet.